// pdflib.i
//
// Copyright (C) 1998 Rainer.Schaaf@T-Online.de All rights reserved.
// SWIG interface file for pdflib

// Use different names for Tcl, Perl, and Python packages.
// This is necessary to be able to use all three shared libraries together.

#ifdef SWIGTCL
%module pdflib
#endif

#ifdef SWIGPERL
%module pdflib
#endif

#ifdef SWIGPYTHON
%module pdflib
#endif

// to get Tcl_Interp *interp handled right
%import typemaps.i

#ifdef TCL
// to make a tcl-package out of the stuff
// it needs pkg_mkIndex afterwards + setup pdflib.so + pkgIndex.tcl to right
// places
// => 
// $ mkdir pdflib
// $ cp pdftcllib.so pdflib/pdflib.so
// $ cd pdflib
// $ tclsh
//   >> pkg_mkIndex . pdflib.so
//   >> ^D
// $

%init %{
    Tcl_PkgProvide(interp, "pdflib", "0.6");
%}
#endif

// This is needed for the wrapper...
%{
#include "pdf.h"
%}

// ...and this fetches the actual interface definitions
%include "pdf.h"

// simple file handling needed by PDF_open
FILE *fopen(char *, char *);
void fclose(FILE *fp);
